<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Certificate Entry<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 Certificate<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data>
					<xsl:attribute name="name"><!--XLATESTART-->Failure Reason: <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@cause='lastentry'"><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->is the last certificate entry in keystore.db and hence cannot be deleted.<!--XLATESTOP--></xsl:when>
							<xsl:when test="Failure/@cause='noalias'"><!--XLATESTART-->Aliasname<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->does not exist.<!--XLATESTOP--></xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
