<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>			
			<xsl:choose>
				<xsl:when test="(Message/@status='0') and (Message/@mode='chain')"><xsl:attribute name="backpagedisplay"><!--XLATESTART-->Certificate Import<!--XLATESTOP--></xsl:attribute></xsl:when>
				<xsl:when test="(Message/@status='0') and (Message/@mode='root')"><xsl:attribute name="backpagedisplay"><!--XLATESTART-->CA Root Import<!--XLATESTOP--></xsl:attribute></xsl:when>	
			</xsl:choose>			
			<xsl:choose>
				<xsl:when test="(Message/@status='0') and (Message/@mode='chain')">
					<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=security.X509.webplugins.CertimportWebPlugin</xsl:attribute>
				</xsl:when>
				<xsl:when test="(Message/@status='0') and (Message/@mode='root')">
					<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=security.X509.webplugins.CertimprootWebPlugin</xsl:attribute>
				</xsl:when>	
			</xsl:choose>			
			<xsl:if test="(Message/@status='1') and (Message/@mode='chain')"><xsl:attribute name="submitdisplay"><!--XLATESTART-->Activate The New Certificate<!--XLATESTOP--></xsl:attribute></xsl:if>
			<xsl:if test="(Message/@status='1') and (Message/@mode='chain')">
				<xsl:attribute name="submit">/servlet/DataArea?plugin=security.X509.webplugins.MakeActiveWebPlugin&amp;mode=import</xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 Certificate Import<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Message/@statpresent='0'"><!--XLATESTART-->Sorry! Import of<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->failed. Try again.<!--XLATESTOP--></xsl:when>
					<xsl:when test="Message/@statpresent='1'">
						<xsl:choose>
							<xsl:when test="Message/@status='1'">
								<xsl:if test="Message/@aliaspresent='1'"><!--XLATESTART-->Successfully imported<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/></xsl:if>
								<xsl:if test="Message/@aliaspresent='0'"><!--XLATESTART-->Sorry ! Can not find alias name. Import of<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->failed. Try again.<!--XLATESTOP--></xsl:if>
							</xsl:when>
							<xsl:when test="Message/@status='0'">
								<xsl:if test="Message/@mode='root'"><!--XLATESTART-->Sorry ! CACERTS is not updated with<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><!--XLATESTART-->. Try again.<!--XLATESTOP--></xsl:if>
								<xsl:if test="Message/@mode='chain'"><!--XLATESTART-->Sorry ! Import of<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->failed. Try again.<!--XLATESTOP--></xsl:if>
							</xsl:when>
						</xsl:choose>
					</xsl:when>					
				</xsl:choose>				
			</PromptText>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
