<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>			
			<xsl:choose>
				<xsl:when test="(Message/@status='0') and (Message/@mode='chain')"><xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35748;&#35777;&#23548;&#20837;<!--XLATESTOP--></xsl:attribute></xsl:when>
				<xsl:when test="(Message/@status='0') and (Message/@mode='root')"><xsl:attribute name="backpagedisplay"><!--XLATESTART-->CA &#26681;&#23548;&#20837;<!--XLATESTOP--></xsl:attribute></xsl:when>	
			</xsl:choose>			
			<xsl:choose>
				<xsl:when test="(Message/@status='0') and (Message/@mode='chain')">
					<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=security.X509.webplugins.CertimportWebPlugin</xsl:attribute>
				</xsl:when>
				<xsl:when test="(Message/@status='0') and (Message/@mode='root')">
					<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=security.X509.webplugins.CertimprootWebPlugin</xsl:attribute>
				</xsl:when>	
			</xsl:choose>			
			<xsl:if test="(Message/@status='1') and (Message/@mode='chain')"><xsl:attribute name="submitdisplay"><!--XLATESTART-->&#28608;&#27963;&#26032;&#35748;&#35777;<!--XLATESTOP--></xsl:attribute></xsl:if>
			<xsl:if test="(Message/@status='1') and (Message/@mode='chain')">
				<xsl:attribute name="submit">/servlet/DataArea?plugin=security.X509.webplugins.MakeActiveWebPlugin&amp;mode=import</xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;&#23548;&#20837;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Message/@statpresent='0'"><!--XLATESTART-->&#25265;&#27465;&#65281; &#23548;&#20837;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#22833;&#36133;&#12290; &#35831;&#37325;&#35797;&#12290;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Message/@statpresent='1'">
						<xsl:choose>
							<xsl:when test="Message/@status='1'">
								<xsl:if test="Message/@aliaspresent='1'"><!--XLATESTART-->&#24050;&#25104;&#21151;&#23548;&#20837;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/></xsl:if>
								<xsl:if test="Message/@aliaspresent='0'"><!--XLATESTART-->&#25265;&#27465;&#65281; &#25214;&#19981;&#21040;&#21035;&#21517;&#12290; &#23548;&#20837;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#22833;&#36133;&#12290; &#35831;&#37325;&#35797;&#12290;<!--XLATESTOP--></xsl:if>
							</xsl:when>
							<xsl:when test="Message/@status='0'">
								<xsl:if test="Message/@mode='root'"><!--XLATESTART-->&#25265;&#27465;&#65281; CACERTS &#26410;&#36827;&#34892;&#19979;&#21015;&#26356;&#26032;&#65306;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><!--XLATESTART-->&#12290;&#35831;&#37325;&#35797;&#12290;<!--XLATESTOP--></xsl:if>
								<xsl:if test="Message/@mode='chain'"><!--XLATESTART-->&#25265;&#27465;&#65281; &#23548;&#20837;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#22833;&#36133;&#12290; &#35831;&#37325;&#35797;&#12290;<!--XLATESTOP--></xsl:if>
							</xsl:when>
						</xsl:choose>
					</xsl:when>					
				</xsl:choose>				
			</PromptText>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
