<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35748;&#35777;&#26465;&#30446;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#35748;&#35777;&#31614;&#21517;&#35831;&#27714; (CSR)<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<TextArea	name="csrcontent" rows="20" cols="80" state="2">
				<xsl:attribute name="display"><!--XLATESTART-->&#22797;&#21046;&#24182;&#20445;&#23384;&#25991;&#26412;&#65306; <!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertReq/Request"/></xsl:attribute>
			</TextArea>			
			<ListData>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->"CSR" &#25991;&#20214;&#21478;&#23384;&#20026; <!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="CertReq/Filepath"/></xsl:attribute>
				</Data>				
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
