<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="xml" encoding="UTF-8"/>
	<xsl:template match="/DataArea">
		<xsl:copy>
			<xsl:apply-templates select="@* | script | Header | PageTitle | PromptText | CustomButton"/>
			<TableData>
				<Header>
					<Data align="center"  name="Severity" display="Schweregrad" value="Schweregrad" width="80" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin&amp;sortkey=severity&amp;order=descending"/>
					<Data name="Description" display=" " value=" "/>
					<Data name="ID" display="ID" value="ID" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin&amp;sortkey=id&amp;order=descending"/>
					<Data name="Description" display=" " value=" "/>
					<Data name="DateTime" display="Datum und Uhrzeit" value="Datum und Uhrzeit" width="100" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin&amp;sortkey=date&amp;order=ascending"/>
					<Data name="Description" display=" " value=" "/>
					<Data name="Description" display="Beschreibung" value="Beschreibung" link="true" href="/servlet/DataArea?plugin=com.dell.hip.webplugins.AlertLogWebPlugin&amp;sortkey=description&amp;order=ascending"/>
				</Header>
				<xsl:apply-templates select="TableData/Row">
					<xsl:sort select="Data[3]/@value" data-type="number"  order="ascending"/>
				</xsl:apply-templates>
			</TableData>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/ | @* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
