<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
<ComponentTree>
	<Component name="System" help="">
		<xsl:attribute name="display"><!--XLATESTART-->System<!--XLATESTOP--></xsl:attribute>
		<SNBMenuItem name="Properties" help="">
			<xsl:attribute name="display"><!--XLATESTART-->Eigenschaften<!--XLATESTOP--></xsl:attribute>
			<LSNBMenuItem name="Health" default="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.OverallHealthWebPlugin&amp;amp;component=System&amp;amp;root=true" help="OverallHealth"><xsl:attribute name="display"><!--XLATESTART-->Funktionszustand<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
			<LSNBMenuItem name="Summary" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SummaryWebPlugin" help="Summary"><xsl:attribute name="display"><!--XLATESTART-->Zusammenfassung<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
		</SNBMenuItem>
		<!-- Add entries for shutdown and logs as place holders for the HIP version of these items.-->
		<SNBMenuItem name="Shutdown" help="Shutdown" app="hip"><xsl:attribute name="display"><!--XLATESTART-->Herunterfahren<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		<SNBMenuItem name="Logs" help="HardwareLog" app="hip"><xsl:attribute name="display"><!--XLATESTART-->Protokolle<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		<SNBMenuItem name="Update" help="">
			<xsl:attribute name="display"><!--XLATESTART-->Aktualisierung<!--XLATESTOP--></xsl:attribute>
			<LSNBMenuItem name="Software" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.UpdateWebPlugin" help="VersionReport"><xsl:attribute name="display"><!--XLATESTART-->Software<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
		</SNBMenuItem>
		<Component name="Software" help="">
			<xsl:attribute name="display"><!--XLATESTART-->Software<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" help="">
				<xsl:attribute name="display"><!--XLATESTART-->Eigenschaften<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="Summary" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SummaryWebPlugin&amp;amp;section=Software" help="Software"><xsl:attribute name="display"><!--XLATESTART-->Zusammenfassung<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
			</SNBMenuItem>
		</Component>
		<Component name="Storage" help="">
			<xsl:attribute name="display"><!--XLATESTART-->Speichermedien<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" help=""><xsl:attribute name="display"><!--XLATESTART-->Eigenschaften<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		</Component>
	</Component>
</ComponentTree>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
