<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/OMA">
	<HTML>
	<HEAD>
	<TITLE><!--XLATESTART-->Desconectar<!--XLATESTOP--></TITLE>
	<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css" />
	<xsl:if test="@skin != ''">
		<link rel="stylesheet" type="text/css">
			<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
		</link>
		<xsl:if test="@language != ''">
			<link rel="stylesheet" type="text/css">
				<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/scheme.css</xsl:attribute>
			</link>
			<xsl:if test="@country != ''">
				<link rel="stylesheet" type="text/css">
					<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/<xsl:value-of select="@country"/>/scheme.css</xsl:attribute>
				</link>
			</xsl:if>
		</xsl:if>
	</xsl:if>
	</HEAD>
	<script language="javascript">
		var id = 0;
		function init() {
			if(id == 1)
			{
				parent.close();
			}
			if(id == 0)
			{
				id++;
			}
			var t1 = window.setTimeout("init()", 2000);
		}
	</script>
	<BODY onload="javascript:init()">
		<br />
		<div align="center" class="logout-header">
			<!--XLATESTART-->Gracias por utilizar <!--XLATESTOP-->
			<xsl:value-of select="ProdName"/>
		</div>
		<br />
		<div align="center" class="logout-prompt-text">
			<!--XLATESTART-->Ha cerrado satisfactoriamente la sesi&#243;n en <!--XLATESTOP-->
			<xsl:value-of select="ProdName"/>					
		</div>
		<br />
		<br />
	</BODY>
	</HTML>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
