<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display">
				<xsl:choose>
					<xsl:when test="count(//Section) = 1">
						<xsl:choose>
							<xsl:when test="//Section/@name = 'Software'"><!--XLATESTART-->R&#233;sum&#233; des logiciels<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->R&#233;sum&#233; du syst&#232;me<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise><!--XLATESTART-->R&#233;sum&#233; du syst&#232;me<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</PageTitle>
		<CustomButton>
			<!--<Data name="PrintAll" display="Print All" href="#" onclick="javascript:printAll ();" /> -->
			<Data name="Refresh" display="Actualiser">
				<xsl:attribute name="href">#</xsl:attribute>
				<xsl:attribute name="onclick">javascript:location.reload ()</xsl:attribute>
			</Data>

		</CustomButton>
		<PromptText ignoreoncli="true"><!--XLATESTART-->Pour un acc&#232;s plus rapide, cliquez sur une section du r&#233;sum&#233; que vous souhaitez afficher.<!--XLATESTOP--></PromptText>
			<SummaryData>
				<xsl:apply-templates  select="Summary"/>
		</SummaryData>
	</DataArea>
</xsl:template>

<xsl:template match="Summary">
	<xsl:apply-templates  />
</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="SMStatus" />

</xsl:stylesheet>
