<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay">
				<xsl:choose>
					<xsl:when test="Reminder/@mode='svr'"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#12398;&#20877;&#36215;&#21205;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Reminder/@mode='svc'"><!--XLATESTART-->&#12454;&#12455;&#12502; &#12469;&#12540;&#12496;&#12398;&#20877;&#36215;&#21205;<!--XLATESTOP--></xsl:when>
				</xsl:choose>			
			</xsl:attribute>		
			<xsl:attribute name="submit">
				<xsl:choose>
					<xsl:when test="Reminder/@mode='svr'">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8&amp;action1=1</xsl:when>
					<xsl:when test="Reminder/@mode='svc'">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin</xsl:when>
				</xsl:choose>			
			</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:attribute name="printable">false</xsl:attribute>
			<xsl:if test="Reminder/@logoutBtn = 'true'">
				<CustomButton>
					<Data name="LogOut">
						<xsl:attribute name="display"><!--XLATESTART-->&#12525;&#12464;&#12450;&#12454;&#12488;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">
							<xsl:choose>
								<xsl:when test="Reminder/@mode='svr'">/servlet/LogoutServlet?page=Logout&amp;rstmode=server&amp;CurrentProgram=<xsl:value-of select="Reminder/@currentprog"/></xsl:when>
								<xsl:when test="Reminder/@mode='svc'">/servlet/LogoutServlet?page=Logout&amp;rstmode=service&amp;CurrentProgram=<xsl:value-of select="Reminder/@currentprog"/></xsl:when>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</CustomButton>
			</xsl:if>
			<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#20877;&#36215;&#21205;&#12398;&#30906;&#35469;&#36890;&#30693;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Reminder/@mode='svr'"><!--XLATESTART-->&#12469;&#12540;&#12496;&#12434;&#20877;&#36215;&#21205;&#12377;&#12427;&#24517;&#35201;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;&#20877;&#36215;&#21205;&#12375;&#12394;&#12356;&#12392;&#22793;&#26356;&#12399;&#26377;&#21177;&#12395;&#12394;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Reminder/@mode='svc'"><!--XLATESTART-->&#12469;&#12540;&#12499;&#12473;service/&#12487;&#12540;&#12514;&#12531;&#12434;&#20877;&#36215;&#21205;&#12377;&#12427;&#24517;&#35201;&#12364;&#12354;&#12426;&#12414;&#12377;&#12290;&#20877;&#36215;&#21205;&#12375;&#12394;&#12356;&#12392;&#22793;&#26356;&#12399;&#26377;&#21177;&#12395;&#12394;&#12426;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</PromptText>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
