<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display">
				<xsl:choose>
					<xsl:when test="count(//Section) = 1">
						<xsl:choose>
							<xsl:when test="//Section/@name = 'Software'"><!--XLATESTART-->&#12477;&#12501;&#12488;&#12454;&#12455;&#12450;&#27010;&#35201;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#27010;&#35201;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#27010;&#35201;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</PageTitle>
		<CustomButton>
			<!--<Data name="PrintAll" display="Print All" href="#" onclick="javascript:printAll ();" /> -->
			<Data name="Refresh" display="&#26356;&#26032;">
				<xsl:attribute name="href">
											
												
													#</xsl:attribute>
				<xsl:attribute name="onclick">javascript:location.reload ()</xsl:attribute>
			</Data>

		</CustomButton>
		<PromptText ignoreoncli="true"><!--XLATESTART-->&#34920;&#31034;&#12377;&#12427;&#27010;&#35201;&#12398;&#12475;&#12463;&#12471;&#12519;&#12531;&#12434;&#12463;&#12522;&#12483;&#12463;&#12377;&#12427;&#12392;&#12487;&#12540;&#12479;&#12395;&#26089;&#12367;&#12450;&#12463;&#12475;&#12473;&#12391;&#12365;&#12414;&#12377;&#12290;<!--XLATESTOP--></PromptText>
			<SummaryData>
				<xsl:apply-templates  select="Summary"/>
		</SummaryData>
	</DataArea>
</xsl:template>

<xsl:template match="Summary">
	<xsl:apply-templates  />
</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="SMStatus" />

</xsl:stylesheet>
