<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" omit-xml-declaration="yes"/>
	<xsl:strip-space elements="*"/>
	<xsl:template match="/OMA/About">
		<Summary>
	<Section name="Software">
		<xsl:attribute name="display"><!--XLATESTART-->&#12477;&#12501;&#12488;&#12454;&#12455;&#12450; &#12503;&#12525;&#12501;&#12449;&#12452;&#12523;<!--XLATESTOP--></xsl:attribute>
		<ListData name="SysMgmtSoftwareCtr">
			<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			<Data name="ProductName">
				<xsl:attribute name="display"><!--XLATESTART-->&#21517;&#21069;<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="ProductName"><xsl:attribute name="value"><xsl:value-of select="ProductName"/></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12364;&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="ProductVersion">
				<xsl:attribute name="display"><!--XLATESTART-->&#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
				<xsl:choose>
					<xsl:when test="ProductVersion"><xsl:attribute name="value"><xsl:value-of select="ProductVersion"/></xsl:attribute></xsl:when>
					<xsl:otherwise><xsl:attribute name="value"><!--XLATESTART-->&#24773;&#22577;&#12364;&#20351;&#29992;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTART--></xsl:attribute></xsl:otherwise>
				</xsl:choose>
			</Data>
			<Data name="ProductDescription">
				<xsl:attribute name="display"><!--XLATESTART-->&#35500;&#26126;<!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#31649;&#29702;&#12477;&#12501;&#12488;&#12454;&#12455;&#12450;<!--XLATESTOP--></xsl:attribute>
			</Data>
			<xsl:for-each select="Component">
				<xsl:if test="count(preceding-sibling::*) > 0">
					<Data>
						<xsl:attribute name="name">&#20869;&#23481;<xsl:value-of select="count(preceding-sibling::*)" /></xsl:attribute>
						<xsl:choose>
							<xsl:when test="position() = '1'">
								<xsl:attribute name="display"><!--XLATESTART-->&#20869;&#23481;:<!--XLATESTOP--></xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="display"></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:attribute name="value"><xsl:value-of select="Name" /><xsl:text> </xsl:text><xsl:value-of select="Version" /></xsl:attribute>
					</Data>
				</xsl:if>
			</xsl:for-each>
		</ListData>
	</Section>
		
		</Summary>
	</xsl:template>

	<xsl:template match="/OMA/SMStatus">
	</xsl:template>

</xsl:stylesheet>
