<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
<ComponentTree>
	<Component name="System" help="">
		<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;<!--XLATESTOP--></xsl:attribute>
		<SNBMenuItem name="Properties" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12497;&#12486;&#12451;<!--XLATESTOP--></xsl:attribute>
			<LSNBMenuItem name="Health" default="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.OverallHealthWebPlugin&amp;amp;component=System&amp;amp;root=true" help="OverallHealth"><xsl:attribute name="display"><!--XLATESTART-->&#27491;&#24120;&#24615;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
			<LSNBMenuItem name="Summary" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SummaryWebPlugin" help="Summary"><xsl:attribute name="display"><!--XLATESTART-->&#27010;&#35201;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
		</SNBMenuItem>
		<!-- Add entries for shutdown and logs as place holders for the HIP version of these items.-->
		<SNBMenuItem name="Shutdown" help="Shutdown" app="hip"><xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12515;&#12483;&#12488;&#12480;&#12454;&#12531;<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		<SNBMenuItem name="Logs" help="HardwareLog" app="hip"><xsl:attribute name="display"><!--XLATESTART-->&#12525;&#12464;<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		<SNBMenuItem name="Update" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			<LSNBMenuItem name="Software" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.UpdateWebPlugin" help="VersionReport"><xsl:attribute name="display"><!--XLATESTART-->&#12477;&#12501;&#12488;&#12454;&#12455;&#12450;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
		</SNBMenuItem>
		<Component name="Software" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#12477;&#12501;&#12488;&#12454;&#12455;&#12450;<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" help="">
				<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12497;&#12486;&#12451;<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="Summary" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SummaryWebPlugin&amp;amp;section=Software" help="Software"><xsl:attribute name="display"><!--XLATESTART-->&#27010;&#35201;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
			</SNBMenuItem>
		</Component>
		<Component name="Storage" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#12473;&#12488;&#12524;&#12540;&#12472;<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" help=""><xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12497;&#12486;&#12451;<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		</Component>
	</Component>
</ComponentTree>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
