<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/OMA">
	<HTML>
	<HEAD>
	<TITLE><!--XLATESTART-->&#12525;&#12464;&#12450;&#12454;&#12488;<!--XLATESTOP--></TITLE>
	<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css" />
	<xsl:if test="@skin != ''">
		<link rel="stylesheet" type="text/css">
			<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
		</link>
		<xsl:if test="@language != ''">
			<link rel="stylesheet" type="text/css">
				<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/scheme.css</xsl:attribute>
			</link>
			<xsl:if test="@country != ''">
				<link rel="stylesheet" type="text/css">
					<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if><xsl:value-of select="@language"/>/<xsl:value-of select="@country"/>/scheme.css</xsl:attribute>
				</link>
			</xsl:if>
		</xsl:if>
	</xsl:if>
	</HEAD>
	<script language="javascript">
		var id = 0;
		function init() {
			if(id == 1)
			{
				parent.close();
			}
			if(id == 0)
			{
				id++;
			}
			var t1 = window.setTimeout("init()", 2000);
		}
	</script>
	<BODY onload="javascript:init()">
		<br />
		<div align="center" class="logout-header">
			<xsl:value-of select="ProdName"/>
			<!--XLATESTART-->&#12434;&#12372;&#21033;&#29992;&#12356;&#12383;&#12384;&#12365;&#12354;&#12426;&#12364;&#12392;&#12358;&#12372;&#12374;&#12356;&#12414;&#12375;&#12383; <!--XLATESTOP-->
		</div>
		<br />
		<div align="center" class="logout-prompt-text">
			<xsl:value-of select="ProdName"/>					
			<!--XLATESTART-->&#12363;&#12425;&#27491;&#24120;&#12395;&#12525;&#12464;&#12450;&#12454;&#12488;&#12375;&#12414;&#12375;&#12383; <!--XLATESTOP-->
		</div>
		<br />
		<br />
	</BODY>
	</HTML>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
