<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/DataArea">
		<xsl:copy>
			<xsl:apply-templates select="@* | script | Header | PageTitle | PromptText | CustomButton"/>
			<TableData columnspacing="true">
				<Header>
					<Data name="Severity" display="Severity" value="Severity" width="80" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=severity&amp;order=descending"/>
					<Data name="DateTime" display="Date &amp; Time" value="Date &amp; Time" width="100" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin"/>
					<Data name="User" display="User" value="User" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=user&amp;order=ascending"/>
					<Data name="Description" display="Description" value="Description" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=description&amp;order=descending"/>
				</Header>
				<xsl:apply-templates select="TableData/Row">
					<xsl:sort select="Data[4]/@display" data-type="text"  order="ascending"/>
				</xsl:apply-templates>
			</TableData>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/ | @* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
