<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay">
				<xsl:choose>
					<xsl:when test="Reminder/@mode='svr'"><!--XLATESTART-->&#37325;&#26032;&#24341;&#23548;&#31995;&#32479;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Reminder/@mode='svc'"><!--XLATESTART-->&#37325;&#26032;&#21551;&#21160; Web &#26381;&#21153;&#22120;<!--XLATESTOP--></xsl:when>
				</xsl:choose>			
			</xsl:attribute>		
			<xsl:attribute name="submit">
				<xsl:choose>
					<xsl:when test="Reminder/@mode='svr'">/servlet/SubmitForm?plugin=com.dell.hip.webplugins.shtdwnWebPlugin&amp;os=8&amp;action1=1</xsl:when>
					<xsl:when test="Reminder/@mode='svc'">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin</xsl:when>
				</xsl:choose>			
			</xsl:attribute>
		<xsl:attribute name="email">false</xsl:attribute>
		<xsl:attribute name="printable">false</xsl:attribute>
			<xsl:if test="Reminder/@logoutBtn = 'true'">
				<CustomButton>
					<Data name="LogOut">
						<xsl:attribute name="display"><!--XLATESTART-->&#27880;&#38144;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="href">
							<xsl:choose>
								<xsl:when test="Reminder/@mode='svr'">/servlet/LogoutServlet?page=Logout&amp;rstmode=server&amp;CurrentProgram=<xsl:value-of select="Reminder/@currentprog"/></xsl:when>
								<xsl:when test="Reminder/@mode='svc'">/servlet/LogoutServlet?page=Logout&amp;rstmode=service&amp;CurrentProgram=<xsl:value-of select="Reminder/@currentprog"/></xsl:when>
							</xsl:choose>
						</xsl:attribute>
					</Data>
				</CustomButton>
			</xsl:if>
			<PageTitle>
			<xsl:attribute name="display"><!--XLATESTART-->&#37325;&#26032;&#21551;&#21160;&#25552;&#31034;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Reminder/@mode='svr'"><!--XLATESTART-->&#26381;&#21153;&#22120;&#38656;&#35201;&#37325;&#26032;&#21551;&#21160;&#65292;&#21542;&#21017;&#65292;&#25152;&#20316;&#30340;&#26356;&#25913;&#19981;&#20250;&#29983;&#25928;&#12290;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Reminder/@mode='svc'"><!--XLATESTART-->&#26381;&#21153;&#25110;&#23432;&#25252;&#31243;&#24207;&#38656;&#35201;&#37325;&#26032;&#21551;&#21160;&#65292;&#21542;&#21017;&#65292;&#25152;&#20316;&#30340;&#26356;&#25913;&#19981;&#20250;&#29983;&#25928;&#12290;<!--XLATESTOP--></xsl:when>
				</xsl:choose>
			</PromptText>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
