<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="xml" />
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<DataArea>
		<PageTitle>
			<xsl:attribute name="display">
				<xsl:choose>
					<xsl:when test="count(//Section) = 1">
						<xsl:choose>
							<xsl:when test="//Section/@name = 'Software'"><!--XLATESTART-->&#36719;&#20214;&#25688;&#35201;<!--XLATESTOP--></xsl:when>
							<xsl:otherwise><!--XLATESTART-->&#31995;&#32479;&#25688;&#35201;<!--XLATESTOP--></xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise><!--XLATESTART-->&#31995;&#32479;&#25688;&#35201;<!--XLATESTOP--></xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
		</PageTitle>
		<CustomButton>
			<!--<Data name="PrintAll" display="Print All" href="#" onclick="javascript:printAll ();" /> -->
			<Data name="Refresh" display="&#21047;&#26032;">
				<xsl:attribute name="href">
											
												
													#</xsl:attribute>
				<xsl:attribute name="onclick">javascript:location.reload ()</xsl:attribute>
			</Data>

		</CustomButton>
		<PromptText ignoreoncli="true"><!--XLATESTART-->&#35201;&#21152;&#24555;&#35775;&#38382;&#36895;&#24230;&#65292;&#35831;&#21333;&#20987;&#35201;&#26597;&#30475;&#30340;&#25688;&#35201;&#37096;&#20998;&#12290;<!--XLATESTOP--></PromptText>
			<SummaryData>
				<xsl:apply-templates  select="Summary"/>
		</SummaryData>
	</DataArea>
</xsl:template>

<xsl:template match="Summary">
	<xsl:apply-templates  />
</xsl:template>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="SMStatus" />

</xsl:stylesheet>
