<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<ComponentTree>
			<Component name="pref" help="">
				<xsl:attribute name="display"><!--XLATESTART-->&#24120;&#35268;&#35774;&#32622;<!--XLATESTOP--></xsl:attribute>
				<SNBMenuItem name="user">
					<xsl:attribute name="display"><!--XLATESTART-->&#29992;&#25143;<!--XLATESTOP--></xsl:attribute>
					<LSNBMenuItem name="Property" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.UsrprefWebPlugin" help="Userpreferences">
						<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					</LSNBMenuItem>
				</SNBMenuItem>
				<SNBMenuItem name="webserver">
					<xsl:attribute name="display"><!--XLATESTART-->Web &#26381;&#21153;&#22120;<!--XLATESTOP--></xsl:attribute>
					<LSNBMenuItem name="Property" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin" help="Serverpreferences">
						<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
					</LSNBMenuItem>
					<xsl:if test="Java/@version &gt;= '1.2'">
						<LSNBMenuItem name="X509" href="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" help="Certificate">
							<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
						</LSNBMenuItem>
					</xsl:if>
				</SNBMenuItem>
			</Component>
	</ComponentTree>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
