<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
<ComponentTree>
	<Component name="System" help="">
		<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
		<SNBMenuItem name="Properties" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
			<LSNBMenuItem name="Health" default="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.OverallHealthWebPlugin&amp;amp;component=System&amp;amp;root=true" help="OverallHealth"><xsl:attribute name="display"><!--XLATESTART-->&#26426;&#36523;&#29366;&#20917;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
			<LSNBMenuItem name="Summary" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SummaryWebPlugin" help="Summary"><xsl:attribute name="display"><!--XLATESTART-->&#25688;&#35201;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
		</SNBMenuItem>
		<!-- Add entries for shutdown and logs as place holders for the HIP version of these items.-->
		<SNBMenuItem name="Shutdown" help="Shutdown" app="hip"><xsl:attribute name="display"><!--XLATESTART-->&#20851;&#26426;<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		<SNBMenuItem name="Logs" help="HardwareLog" app="hip"><xsl:attribute name="display"><!--XLATESTART-->&#26085;&#24535;<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		<SNBMenuItem name="Update" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
			<LSNBMenuItem name="Software" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.UpdateWebPlugin" help="VersionReport"><xsl:attribute name="display"><!--XLATESTART-->&#36719;&#20214;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
		</SNBMenuItem>
		<Component name="Software" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#36719;&#20214;<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" help="">
				<xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute>
				<LSNBMenuItem name="Summary" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SummaryWebPlugin&amp;amp;section=Software" help="Software"><xsl:attribute name="display"><!--XLATESTART-->&#25688;&#35201;<!--XLATESTOP--></xsl:attribute></LSNBMenuItem>
			</SNBMenuItem>
		</Component>
		<Component name="Storage" help="">
			<xsl:attribute name="display"><!--XLATESTART-->&#23384;&#20648;<!--XLATESTOP--></xsl:attribute>
			<SNBMenuItem name="Properties" help=""><xsl:attribute name="display"><!--XLATESTART-->&#23646;&#24615;<!--XLATESTOP--></xsl:attribute></SNBMenuItem>
		</Component>
	</Component>
</ComponentTree>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
