<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/DataArea">
		<xsl:copy>
			<xsl:apply-templates select="@* | script | Header | PageTitle | PromptText | CustomButton"/>
			<TableData columnspacing="true">
				<Header>
					<Data name="Severity" display="&#20005;&#37325;&#24615;" value="&#20005;&#37325;&#24615;" width="80" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=severity&amp;order=descending"/>
					<Data name="DateTime" display="&#26085;&#26399;&#21644;&#26102;&#38388;" value="&#26085;&#26399;&#21644;&#26102;&#38388;" width="100" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin"/>
					<Data name="User" display="&#29992;&#25143;" value="&#29992;&#25143;" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=user&amp;order=ascending"/>
					<Data name="Description" display="&#35828;&#26126;" value="&#35828;&#26126;" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=description&amp;order=descending"/>
				</Header>
				<xsl:apply-templates select="TableData/Row">
					<xsl:sort select="Data[3]/@value" data-type="text"  order="descending"/>
				</xsl:apply-templates>
			</TableData>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/ | @* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
