<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->Neu starten, um das Zertifikat zu aktivieren<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin&amp;closeBrowserOnly=true</xsl:attribute>
			<xsl:choose>
				<xsl:when test="MakeActive/@mode = 'generate'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->X.509-Zertifikat aktivieren<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
				<xsl:when test="MakeActive/@mode = 'import'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->Vertrauensw&#252;rdiges X.509-Zertifikat aktivieren<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
			</xsl:choose>
			<PromptText status="3"><!--XLATESTART-->Klicken Sie auf die Neustart-Schaltfl&#228;che, um diesen Vorgang abzuschliessen und das neue Zertifikat zu aktivieren. Wenn das neue Zertifikat nach dem Neustart nicht aktiv ist, f&#252;hren Sie folgende Schritte zur Wiederherstellung des vorherigen Zertifikats durch.<!--XLATESTOP--></PromptText>
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->Schritte zur Wiederherstellung von keystore.db<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->Schritte zur Wiederherstellung von keystore.db<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
					<xsl:attribute name="value"><!--XLATESTART-->1. <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Web Server anhalten, wie im Benutzerhandbuch dargestellt.<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->2. Datei l&#246;schen <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->2. Datei l&#246;schen <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->3. Datei umbenennen <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db.bak<!--XLATESTART--> zu <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->3. Datei umbenennen <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db.bak<!--XLATESTART--> zu <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->4. <!--XLATESTOP--><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Web Server starten, wie im Benutzerhandbuch dargestellt.<!--XLATESTOP--></xsl:attribute>
					</Data>					
				</Row>
			</TableData>
			<script language="javascript">
				function validate()
				{
					alert("Dies startet den Web-Server neu. Es wird jedoch empfohlen, bei n&#228;chster Gelegenheit das System neu zu starten.");
					return true;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>