<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Entrada de certificado<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Certificado X.509<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data>
					<xsl:attribute name="name"><!--XLATESTART-->Motivo de falla: <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@cause='lastentry'"><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->es la &#250;ltima entrada de certificado en keystore.db y no se puede eliminar.<!--XLATESTOP--></xsl:when>
							<xsl:when test="Failure/@cause='noalias'"><!--XLATESTART-->Nombre de alias<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->no existe.<!--XLATESTOP--></xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
