<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->Entr&#233;e de certificat<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->Certificat X.509<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data>
					<xsl:attribute name="name"><!--XLATESTART-->Raison de l'&#233;chec : <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@cause='lastentry'"><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->est la derni&#232;re entr&#233;e de certificat dans keystore.db, et ne peut donc pas &#234;tre supprim&#233;e.<!--XLATESTOP--></xsl:when>
							<xsl:when test="Failure/@cause='noalias'"><!--XLATESTART-->Nom d'alias<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->n'existe pas.<!--XLATESTOP--></xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
