<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true" backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" enctype="true">			
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#31649;&#29702;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/UploadCertServlet</xsl:attribute>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12375;&#12390;&#32154;&#34892;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->CA&#65288;&#35388;&#26126;&#26360;&#27231;&#38306;&#65289; &#12398;&#12523;&#12540;&#12488;&#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->CACERTS &#12434;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12377;&#12427; CA &#12523;&#12540;&#12488;&#35388;&#26126;&#26360;&#12434;&#36984;&#25246;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></PromptText>
			<ListData type="custom">
				<Data name="file" editable="true" type="file">
					<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12398;&#36984;&#25246;&#20803;: <!--XLATESTOP--></xsl:attribute>
				</Data>
				<Data name="root" display=" "  type="hidden" returnvalue="true"/>
			</ListData>
			<script language="javascript">
			
				function validate()
				{
					var temp = document.getElementById("file");
					if(temp.value == "")
					{
						alert("CA &#12523;&#12540;&#12488;&#35388;&#26126;&#26360;&#12398;&#12501;&#12449;&#12452;&#12523;&#21517;&#12364;&#24517;&#35201;&#12391;&#12377;&#12290;");
						document.getElementById("file").focus();
						return false;
					}
					else if (!isValid(temp.value)){
						alert("&#35388;&#26126;&#26360;&#12501;&#12449;&#12452;&#12523;&#21517;&#12364;&#28961;&#21177;&#12391;&#12377;&#12290;");
						document.getElementById("file").select();
						document.getElementById("file").focus();
						return false;					
					}

					return true;
				}
				
				function isValid(text){
					var validValue = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_'*$,.!():[]+/~\\";
					var ok = "yes";
					var temp;
					
					//Eliminate the spaces at the end
					while(''+text.charAt(text.length-1)==' ')
					{
						text = text.substring(0,text.length-1);
					}

					for (var i=0; i&lt;text.length; i++)
					{
						temp = "" + text.substring(i, i+1);
						if (validValue.indexOf(temp) == -1)
						{
							if(temp != " ")
							{
								ok = "no";
								break;
							}
						}
					}
					if (ok == "no")
					{
						return false;
					}
					return true;
				}
				
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
