<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12456;&#12531;&#12488;&#12522;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data>
					<xsl:attribute name="name"><!--XLATESTART-->&#22833;&#25943;&#12398;&#29702;&#30001;: <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@cause='lastentry'"><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->keystore.db &#12391;&#26368;&#24460;&#12398;&#35388;&#26126;&#26360;&#12456;&#12531;&#12488;&#12522;&#12391;&#12354;&#12427;&#12383;&#12417;&#12289;&#21066;&#38500;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Failure/@cause='noalias'"><!--XLATESTART-->&#12456;&#12452;&#12522;&#12450;&#12473;&#21517;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#12364;&#23384;&#22312;&#12375;&#12414;&#12379;&#12435;&#12290;<!--XLATESTOP--></xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
