<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>			
			<xsl:choose>
				<xsl:when test="(Message/@status='0') and (Message/@mode='chain')"><xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12398;&#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute></xsl:when>
				<xsl:when test="(Message/@status='0') and (Message/@mode='root')"><xsl:attribute name="backpagedisplay"><!--XLATESTART-->CA &#12523;&#12540;&#12488; &#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute></xsl:when>	
			</xsl:choose>			
			<xsl:choose>
				<xsl:when test="(Message/@status='0') and (Message/@mode='chain')">
					<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=security.X509.webplugins.CertimportWebPlugin</xsl:attribute>
				</xsl:when>
				<xsl:when test="(Message/@status='0') and (Message/@mode='root')">
					<xsl:attribute name="backpagetarget">/servlet/DataArea?plugin=security.X509.webplugins.CertimprootWebPlugin</xsl:attribute>
				</xsl:when>	
			</xsl:choose>			
			<xsl:if test="(Message/@status='1') and (Message/@mode='chain')"><xsl:attribute name="submitdisplay"><!--XLATESTART-->&#26032;&#35215;&#35388;&#26126;&#26360;&#12434;&#12450;&#12463;&#12486;&#12451;&#12502;&#12395;&#12377;&#12427;<!--XLATESTOP--></xsl:attribute></xsl:if>
			<xsl:if test="(Message/@status='1') and (Message/@mode='chain')">
				<xsl:attribute name="submit">/servlet/DataArea?plugin=security.X509.webplugins.MakeActiveWebPlugin&amp;mode=import</xsl:attribute>
			</xsl:if>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360;&#12398;&#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText>
				<xsl:choose>
					<xsl:when test="Message/@statpresent='0'"><!--XLATESTART--> &#12398;&#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#12398;&#12452;&#12531;&#12509;&#12540;&#12488;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;&#12290; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:when>
					<xsl:when test="Message/@statpresent='1'">
						<xsl:choose>
							<xsl:when test="Message/@status='1'">
								<xsl:if test="Message/@aliaspresent='1'"><xsl:value-of select="Message"/><!--XLATESTART--> &#12399;&#27491;&#24120;&#12395;&#12452;&#12531;&#12509;&#12540;&#12488;&#12373;&#12428;&#12414;&#12375;&#12383;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text></xsl:if>
								<xsl:if test="Message/@aliaspresent='0'"><!--XLATESTART--> &#12456;&#12452;&#12522;&#12450;&#12473;&#21517;&#12364;&#35211;&#12388;&#12363;&#12426;&#12414;&#12379;&#12435;&#12290; &#12398;&#12452;&#12531;&#12509;&#12540;&#12488;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#12398;&#12452;&#12531;&#12509;&#12540;&#12488;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;&#12290; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:if>
							</xsl:when>
							<xsl:when test="Message/@status='0'">
								<xsl:if test="Message/@mode='root'"><!--XLATESTART--> CACERTS &#12434;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Message"/><!--XLATESTART-->&#12391;&#12450;&#12483;&#12503;&#12487;&#12540;&#12488;&#12391;&#12365;&#12414;&#12379;&#12435;&#12290;&#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:if>
								<xsl:if test="Message/@mode='chain'"><xsl:value-of select="Message"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#12398;&#12452;&#12531;&#12509;&#12540;&#12488;&#12395;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;&#12290; &#20877;&#35430;&#34892;&#12375;&#12390;&#12367;&#12384;&#12373;&#12356;&#12290;<!--XLATESTOP--></xsl:if>
							</xsl:when>
						</xsl:choose>
					</xsl:when>					
				</xsl:choose>				
			</PromptText>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
