<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35388;&#26126;&#26360;&#12456;&#12531;&#12488;&#12522;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#35388;&#26126;&#26360;&#32626;&#21517;&#35201;&#27714; (CSR)<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<TextArea	name="csrcontent" rows="20" cols="80" state="2">
				<xsl:attribute name="display"><!--XLATESTART-->&#12486;&#12461;&#12473;&#12488;&#12434;&#12467;&#12500;&#12540;&#12375;&#12390;&#20445;&#23384;&#12375;&#12414;&#12377;: <!--XLATESTOP--></xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="CertReq/Request"/></xsl:attribute>
			</TextArea>			
			<ListData>
				<Data name="">
					<xsl:attribute name="display"><!--XLATESTART-->CSR &#12501;&#12449;&#12452;&#12523;&#12399;&#27425;&#12398;&#21517;&#21069;&#12391;&#20445;&#23384;&#12373;&#12428;&#12414;&#12377;: <!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="CertReq/Filepath"/></xsl:attribute>
				</Data>				
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
