<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea backpagetarget="/servlet/DataArea?plugin=security.X509.webplugins.ReuseWebPlugin">
			<xsl:attribute name="backpagedisplay"><!--XLATESTART-->&#35748;&#35777;&#26465;&#30446;<!--XLATESTOP--></xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<ListData>
				<Data>
					<xsl:attribute name="name"><!--XLATESTART-->&#25925;&#38556;&#21407;&#22240;&#65306; <!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="display">
						<xsl:choose>
							<xsl:when test="Failure/@cause='lastentry'"><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#26159; keystore.db &#20013;&#30340;&#26368;&#21518;&#19968;&#20010;&#35748;&#35777;&#26465;&#30446;&#65292;&#25152;&#20197;&#26080;&#27861;&#21024;&#38500;&#12290;<!--XLATESTOP--></xsl:when>
							<xsl:when test="Failure/@cause='noalias'"><!--XLATESTART-->&#21035;&#21517;<!--XLATESTOP--><xsl:text disable-output-escaping="yes">  </xsl:text><xsl:value-of select="Failure"/><xsl:text disable-output-escaping="yes">  </xsl:text><!--XLATESTART-->&#19981;&#23384;&#22312;&#12290;<!--XLATESTOP--></xsl:when>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>
