<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea validate="true">
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#37325;&#26032;&#21551;&#21160;&#20197;&#28608;&#27963;&#26032;&#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.RstServiceWebPlugin&amp;closeBrowserOnly=true</xsl:attribute>
			<xsl:choose>
				<xsl:when test="MakeActive/@mode = 'generate'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#28608;&#27963; X.509 &#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
				<xsl:when test="MakeActive/@mode = 'import'">
					<PageTitle>
						<xsl:attribute name="display"><!--XLATESTART-->&#28608;&#27963; X.509 &#25480;&#26435;&#35748;&#35777;<!--XLATESTOP--></xsl:attribute>
					</PageTitle>
				</xsl:when>
			</xsl:choose>
			<PromptText status="3"><!--XLATESTART-->&#21333;&#20987;&#37325;&#26032;&#21551;&#21160;&#25353;&#38062;&#21487;&#23436;&#25104;&#35813;&#36807;&#31243;&#24182;&#28608;&#27963;&#26032;&#35748;&#35777;&#12290; &#22914;&#26524;&#26032;&#35748;&#35777;&#22312;&#37325;&#26032;&#21551;&#21160;&#21518;&#26410;&#28608;&#27963;&#65292;&#35831;&#20351;&#29992;&#20197;&#19979;&#27493;&#39588;&#24674;&#22797;&#20197;&#21069;&#30340;&#35748;&#35777;&#12290;<!--XLATESTOP--></PromptText>
			<TableData>
				<Header>
					<Data>
						<xsl:attribute name="display"><!--XLATESTART-->&#24674;&#22797; keystore.db &#30340;&#27493;&#39588;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#24674;&#22797; keystore.db &#30340;&#27493;&#39588;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
					<xsl:attribute name="value"><!--XLATESTART-->1. &#20572;&#27490; <!--XLATESTOP--><xsl:value-of select="MakeActive/@prodname"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Web &#26381;&#21153;&#22120;&#65288;&#25353;&#29031;&#29992;&#25143;&#25351;&#21335;&#20013;&#25152;&#36848;&#65289;&#12290;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->2. &#21024;&#38500;&#25991;&#20214; <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->2. &#21024;&#38500;&#25991;&#20214; <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:choose>
							<xsl:when test="(MakeActive/@os='1') or (MakeActive/@os='2')">
								<xsl:attribute name="value"><!--XLATESTART-->3. &#37325;&#21629;&#21517;&#25991;&#20214;&#65306; <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db.bak<!--XLATESTART--> &#21040;   <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>\config\keystore.db</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="value"><!--XLATESTART-->3. &#37325;&#21629;&#21517;&#25991;&#20214;&#65306; <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db.bak<!--XLATESTART--> &#21040;   <!--XLATESTOP--><xsl:value-of select="MakeActive/@path"/>/config/keystore.db</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</Data>
				</Row>
				<Row>
					<Data value=""/>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="value"><!--XLATESTART-->4. &#24320;&#22987; <!--XLATESTOP--><xsl:value-of select="MakeActive/@prodname"/><xsl:text disable-output-escaping="yes"> </xsl:text><!--XLATESTART-->Web &#26381;&#21153;&#22120;&#65288;&#25353;&#29031;&#29992;&#25143;&#25351;&#21335;&#20013;&#25152;&#36848;&#65289;&#12290;<!--XLATESTOP--></xsl:attribute>
					</Data>					
				</Row>
			</TableData>
			<script language="javascript">
				function validate()
				{
					alert("&#36825;&#23558;&#37325;&#26032;&#21551;&#21160; Web &#26381;&#21153;&#22120;&#12290; &#19981;&#36807;&#65292;&#24314;&#35758;&#24744;&#22312;&#26041;&#20415;&#26102;&#37325;&#26032;&#21551;&#21160;&#31995;&#32479;&#12290;");
					return true;
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>	
</xsl:stylesheet>