<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#12458;&#12506;&#12524;&#12540;&#12486;&#12451;&#12531;&#12464;&#12471;&#12473;&#12486;&#12512;&#24773;&#22577;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#26356;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.OSInfoWebPlugin&amp;help=OSInfo</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData  type="custom">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#12507;&#12473;&#12488;&#21517;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SystemInfo/SystemName"/></xsl:attribute>
				</Data>
				<xsl:apply-templates select="OSInfo"/>
				<xsl:apply-templates select="SystemInfo"/>
			</ListData>
		</DataArea>
	</xsl:template>
	
	<xsl:template match="OSInfo">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12458;&#12506;&#12524;&#12540;&#12486;&#12451;&#12531;&#12464;&#12471;&#12473;&#12486;&#12512;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="OSName"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12458;&#12506;&#12524;&#12540;&#12486;&#12451;&#12531;&#12464;&#12471;&#12473;&#12486;&#12512; &#12496;&#12540;&#12472;&#12519;&#12531;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="OSVersion"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="SystemInfo">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
		</Data>				
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#12471;&#12473;&#12486;&#12512;&#36215;&#21205;&#26178;&#38291;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
		</Data>				
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
