<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:variable name="strDisabled"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisabled1"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisabled2"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDisabled3"><!--XLATESTART-->D&#233;sactiv&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnabled"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnabled1"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnabled2"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEnabled3"><!--XLATESTART-->Activ&#233;<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorBadCommand"><!--XLATESTART-->Erreur ! Mauvaise commande.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorBadDevice"><!--XLATESTART-->Erreur ! Mauvais p&#233;riph&#233;rique.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandAborted"><!--XLATESTART-->Erreur ! Commande interrompue.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandCancelled"><!--XLATESTART-->Erreur ! Commande annul&#233;e.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandNot"><!--XLATESTART-->Erreur ! Commande non impl&#233;ment&#233;e.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandPending"><!--XLATESTART-->Erreur ! Commande en attente.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandSuccessful"><!--XLATESTART-->Erreur ! Commande r&#233;ussie.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandTimeout"><!--XLATESTART-->Erreur ! Expiration du d&#233;lai de la commande.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorCommandUnsuccessful"><!--XLATESTART-->Erreur ! &#201;chec de la commande.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDataRequested"><!--XLATESTART-->Erreur ! Les donn&#233;es requises ne sont pas disponibles.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDataRequested1"><!--XLATESTART-->Erreur ! Les donn&#233;es requises sont plus nombreuses que les donn&#233;es disponibles.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDataRequested2"><!--XLATESTART-->Erreur ! Les donn&#233;es requises sont moins nombreuses que les donn&#233;es disponibles.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceAlready"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique existe d&#233;j&#224;.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceBusy"><!--XLATESTART-->Erreur ! P&#233;riph&#233;rique occup&#233;.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceDoes"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique ne dispose pas de donn&#233;es.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceNot"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique n'est pas encore pr&#234;t &#224; accepter les commandes. Ressayez plus tard.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorDeviceOut"><!--XLATESTART-->Erreur ! Le p&#233;riph&#233;rique est &#224; cours de m&#233;moire.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIFile"><!--XLATESTART-->Erreur ! Le fichier INI est introuvable.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIKey"><!--XLATESTART-->Erreur ! La cl&#233; INI est inexistante.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIMalformed"><!--XLATESTART-->Erreur ! L'INI est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINISection"><!--XLATESTART-->Erreur ! La section INI est inexistante.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorINIValue"><!--XLATESTART-->Erreur ! La valeur INI est malform&#233;e, corrompue ou mauvaise.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorInsufficientAccess"><!--XLATESTART-->Erreur ! Privil&#232;ges d'acc&#232;s insuffisants.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorInvalidIndex"><!--XLATESTART-->Erreur ! L'index n'est pas valide.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorInvalidParameter"><!--XLATESTART-->Error! Nom ou valeur de param&#232;tre non valide :<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNoPower"><!--XLATESTART-->Erreur ! La fonction de commande du bouton d'alimentation est introuvable sur ce syst&#232;me.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNoPower1"><!--XLATESTART-->Erreur ! La fonction de commande du bouton d'alimentation est introuvable sur ce syst&#232;me.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorNoSuch"><!--XLATESTART-->Erreur ! Pas de p&#233;riph&#233;rique de ce type.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorOutOf"><!--XLATESTART-->Erreur ! A court de m&#233;moire.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorPowerButton"><!--XLATESTART-->Erreur ! L'objet Bouton d'alimentation est malform&#233;, corrompu ou mauvais.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorPowerButton1"><!--XLATESTART-->Erreur ! L'objet Bouton d'alimentation existe d&#233;j&#224;.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorResourceLocked"><!--XLATESTART-->Erreur ! Ressource verrouill&#233;e.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorSMBError"><!--XLATESTART-->Erreur ! Erreur SMB.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorSpuriousInterrupt"><!--XLATESTART-->Erreur ! Interruption parasite.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLFile"><!--XLATESTART-->Erreur ! Fichier XML introuvable.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLMalformed"><!--XLATESTART-->Erreur ! Fichier XML malform&#233;, corrompu ou inexact.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLNode"><!--XLATESTART-->Erreur ! Le n&#339;ud XML n'existe pas.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strErrorXMLValue"><!--XLATESTART-->Erreur ! Valeur XML malform&#233;e, corrompue ou inexacte.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotApplicable"><!--XLATESTART-->Non applicable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strNotApplicable1"><!--XLATESTART-->Non applicable<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerButton"><!--XLATESTART-->Bouton d'alimentation<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerButton1"><!--XLATESTART-->Bouton d'alimentation<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerButton2"><!--XLATESTART-->Bouton d'alimentation<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerButtonControl"><!--XLATESTART-->Informations sur le contr&#244;le du bouton d'alimentation<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerButtonControl1"><!--XLATESTART-->Informations sur le contr&#244;le du bouton d'alimentation<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPowerButtonControl2"><!--XLATESTART-->Informations sur le contr&#244;le du bouton d'alimentation<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strRefresh"><!--XLATESTART-->Actualiser<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSMStatus"><!--XLATESTART-->&#201;tat de la gestion du syst&#232;me : <!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
