<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#20449;&#24687;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.hip.webplugins.OSInfoWebPlugin&amp;help=OSInfo</xsl:attribute>
				</Data>
			</CustomButton>
			<ListData  type="custom">
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#20027;&#26426;&#21517;&#31216;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="SystemInfo/SystemName"/></xsl:attribute>
				</Data>
				<xsl:apply-templates select="OSInfo"/>
				<xsl:apply-templates select="SystemInfo"/>
			</ListData>
		</DataArea>
	</xsl:template>
	
	<xsl:template match="OSInfo">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="OSName"/></xsl:attribute>
		</Data>
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#25805;&#20316;&#31995;&#32479;&#29256;&#26412;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="OSVersion"/></xsl:attribute>
		</Data>
	</xsl:template>
	<xsl:template match="SystemInfo">
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="SystemTime"/></xsl:attribute>
		</Data>				
		<Data>
			<xsl:attribute name="display"><!--XLATESTART-->&#31995;&#32479;&#21551;&#21160;&#26102;&#38388;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="value"><xsl:value-of select="SystemBootupTime"/></xsl:attribute>
		</Data>				
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
