<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:strip-space elements="*"/>
<xsl:template match="/OMA">
	<ComponentTree>
			<Component name="pref" help="">
				<xsl:attribute name="display"><!--XLATESTART-->&#19968;&#33324;&#35373;&#23450;<!--XLATESTOP--></xsl:attribute>
				<SNBMenuItem name="user">
					<xsl:attribute name="display"><!--XLATESTART-->&#12518;&#12540;&#12470;<!--XLATESTOP--></xsl:attribute>
					<LSNBMenuItem name="Property" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.UsrprefWebPlugin" help="Userpreferences">
						<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12497;&#12486;&#12451;<!--XLATESTOP--></xsl:attribute>
					</LSNBMenuItem>
				</SNBMenuItem>
				<SNBMenuItem name="webserver">
					<xsl:attribute name="display"><!--XLATESTART-->&#12454;&#12455;&#12502;&#12469;&#12540;&#12496;<!--XLATESTOP--></xsl:attribute>
					<LSNBMenuItem name="Property" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.SvrPrefWebPlugin" help="Serverpreferences">
						<xsl:attribute name="display"><!--XLATESTART-->&#12503;&#12525;&#12497;&#12486;&#12451;<!--XLATESTOP--></xsl:attribute>
					</LSNBMenuItem>
					<xsl:if test="Java/@version &gt;= '1.2'">
						<LSNBMenuItem name="X509" href="/servlet/DataArea?plugin=security.X509.webplugins.CertoptionWebPlugin" help="Certificate">
							<xsl:attribute name="display"><!--XLATESTART-->X.509 &#35388;&#26126;&#26360;<!--XLATESTOP--></xsl:attribute>
						</LSNBMenuItem>
					</xsl:if>
				</SNBMenuItem>
			</Component>
	</ComponentTree>
</xsl:template>

<xsl:template match="*"/>
</xsl:stylesheet>
