<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/DataArea">
		<xsl:copy>
			<xsl:apply-templates select="@* | script | Header | PageTitle | PromptText | CustomButton"/>
			<TableData columnspacing="true">
				<Header>
					<Data name="Severity" display="&#37325;&#22823;&#24230;" value="&#37325;&#22823;&#24230;" width="80" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=severity&amp;order=descending"/>
					<Data name="DateTime" display="&#26085;&#26178;" value="&#26085;&#26178;" width="100" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin"/>
					<Data name="User" display="&#12518;&#12540;&#12470;" value="&#12518;&#12540;&#12470;" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=user&amp;order=ascending"/>
					<Data name="Description" display="&#35500;&#26126;" value="&#35500;&#26126;" link="true" href="/servlet/DataArea?plugin=com.dell.oma.webplugins.CmdLogWebPlugin&amp;sortkey=description&amp;order=ascending"/>
				</Header>
				<xsl:apply-templates select="TableData/Row">
					<xsl:sort select="Data[1]/@sevlevel" data-type="number"  order="ascending"/>
				</xsl:apply-templates>
			</TableData>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/ | @* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
