<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>
<xsl:template match="/OMA">
<html>
<head>
	<link rel="stylesheet" type="text/css" href="/oma/docs/oma.css" />
	<xsl:if test="@skin != ''">
		<link rel="stylesheet" type="text/css">
			<xsl:attribute name="href">/oma/skins/<xsl:value-of select="@skin"/>/<xsl:if test="@scheme != ''">schemes/<xsl:value-of select="@scheme"/>/</xsl:if>scheme.css</xsl:attribute>
		</link>
	</xsl:if>
</head>
<body>
<center>
<br></br>
<span class="data-area-page-title"><!--XLATESTART-->&#23455;&#34892;&#12373;&#12428;&#12383;&#25805;&#20316;&#12399;&#22833;&#25943;&#12375;&#12414;&#12375;&#12383;&#12290;<!--XLATESTOP--><xsl:if test="Failure/@reason != ''"><!--XLATESTART--> &#29702;&#30001;: <!--XLATESTOP--><xsl:call-template name="failure-reason" /></xsl:if><!--XLATESTART-->.<!--XLATESTOP--></span>
<br></br>
<br></br>
<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td align="left" valign="middle">
			 <table width="100" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td width="14" height="25">
					<img style="width: 14px; height:25">
					<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/lbutton.gif</xsl:attribute>
					</img>
					</td>
					<td class="data-area-button" align="center" valign="middle">
						<a href="javascript:history.back();"><!--XLATESTART-->&#25147;&#12427;<!--XLATESTOP--></a>
					</td>
					<td width="14" height="25">
						<img style="width: 14px; height:25">
							<xsl:attribute name="src">/oma/<xsl:if test="/OMA/@skin != ''">skins/<xsl:value-of select="/OMA/@skin"/>/<xsl:if test="/OMA/@scheme != ''">schemes/<xsl:value-of 	select="/OMA/@scheme"/>/</xsl:if></xsl:if>images/rbutton.gif</xsl:attribute>
						</img>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

</center>
</body>
</html>
</xsl:template>

<xsl:template name="failure-reason">
	<xsl:choose>
		<xsl:when test="Failure/@reason = 'UploadFileSizeExceedsLimit'"><!--XLATESTART-->&#12501;&#12449;&#12452;&#12523;&#12469;&#12452;&#12474;&#12364;&#12371;&#12398;&#12469;&#12540;&#12496;&#12398;&#21046;&#38480;&#12434;&#36229;&#12360;&#12390;&#12356;&#12414;&#12377;<!--XLATESTOP--></xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
</xsl:stylesheet>
