<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea>
			<xsl:attribute name="submitdisplay"><!--XLATESTART-->&#25191;&#34892;&#26356;&#25913;<!--XLATESTOP--></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SetAccessconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><!--XLATESTART-->&#35775;&#38382;&#37197;&#32622;<!--XLATESTOP--></xsl:attribute>
			</PageTitle>
			<PromptText><!--XLATESTART-->&#37197;&#32622;&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;&#12290;<!--XLATESTOP--></PromptText>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><!--XLATESTART-->&#21047;&#26032;<!--XLATESTOP--></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.oma.webplugins.AccessconfgWebPlugin&amp;help=access</xsl:attribute>
				</Data>
			</CustomButton>					
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><!--XLATESTART-->&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;<!--XLATESTOP--></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="name">accesspwrusrmask</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#25480;&#20104;&#24378;&#22823;&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:unCheck('pwrusr')</xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">pwrusr</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="Access='3'">1</xsl:if>
							<xsl:if test="Access='2'">1</xsl:if>
						</xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="name">accessusrmask</xsl:attribute>
						<xsl:attribute name="value"><!--XLATESTART-->&#25480;&#20104;&#29992;&#25143;&#35775;&#38382;&#26435;&#38480;<!--XLATESTOP--></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:unCheck('usr')</xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">usr</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="Access='3'">1</xsl:if>
						</xsl:attribute>
					</Data>
				</Row>
			</TableData>
			<script language="javascript">
				function unCheck (userName) {
					if (userName == 'pwrusr') {
						if(document.getElementById("dataarea").accesspwrusrmask.checked == false)
						{
							document.getElementById("dataarea").accessusrmask.checked = false;
						}
					}
					else if (userName == 'usr') {
						if(document.getElementById("dataarea").accessusrmask.checked == true)
						{
							document.getElementById("dataarea").accesspwrusrmask.checked = true;
						}
					}
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
